Subject: Re: bug#41198: 28.0.50; heading cycling command for outline

From: Pankaj Jangid <[email-masked]>
Date: Tue, 15 Dec 2020 09:16:04 +0530

Juri Linkov <[email-masked]> writes:

>> I don't follow master so I'm not quite sure what's
>> implemented, but my original suggestion for this was:
>>
>> (define-key outline-minor-mode-map (kbd "C-<tab>") 'outline-cycle)
>> (define-key outline-minor-mode-map (kbd "S-<tab>") 'outline-global-cycle)
>
> This is what's implemented in master:
>
> (define-key outline-minor-mode-map (kbd "<C-tab>") 'outline-cycle)
> (define-key outline-minor-mode-map (kbd "<backtab>") 'outline-cycle-buffer)

1. <tab> and <C-tab> have same binding on master i.e. both invoking
‘outline-cycle’.

2. Body of last heading doesn’t hide when using the above command.